Skip to main content
Session & Event

List Session Resources

List the resources currently mounted to a session

GET
/api/v1/agentstudio/sessions/{session_id}/resources
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/sessions/{session_id}/resources' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "sesrsc_xxx",
      "type": "file",
      "file_id": "file_xxx",
      "mount_path": "/mnt/session/uploads/data.csv",
      "created_at": "2026-05-28T08:23:11.456000Z",
      "updated_at": "2026-05-28T08:23:11.456000Z"
    },
    {
      "id": "sesrsc_yyy",
      "type": "file",
      "file_id": "file_yyy",
      "mount_path": "/mnt/session/uploads/late.csv",
      "created_at": "2026-05-28T08:25:00.000000Z",
      "updated_at": "2026-05-28T08:25:00.000000Z"
    }
  ],
  "next_page": "page_xxxxxxxxxxxxx",
  "request_id": "xxx"
}

Authorizations

string
header
required

DashScope API Key

Path Parameters

string
required

会话 ID,格式 sesn_<ULID>

Query Parameters

integer
default20

每页数量,最大 100

string

分页游标(opaque token)。首次不传,后续传上一次响应返回的游标

Response

200-application/json
object[]

资源对象数组

string

下一页游标,原样传入 page 参数续翻;无更多数据时为 null

string

本次请求的唯一标识

Overview
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview